import { BrandComponent } from './BrandComponent'
import { render } from '@testing-library/react'

describe('checking brand component', () => {
  it('1. should render BrandComponent with stacked variant', () => {
    const { getByTestId } = render(<BrandComponent variant="stacked" />)
    const svg = getByTestId('logo')
    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(8)
  })

  it('2. should render BrandComponent having variant wordmark', () => {
    const { getByTestId } = render(<BrandComponent variant="wordmark" />)
    const svg = getByTestId('logo')
    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(7)
  })

  it('3. should render BrandComponent having variant horizontal', () => {
    const { getByTestId } = render(<BrandComponent variant="horizontal" />)
    const svg = getByTestId('logo')
    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(8)
  })

  it('4. should render BrandComponent having variant logomark', () => {
    const { getByTestId } = render(<BrandComponent variant="logomark" />)
    const svg = getByTestId('logo')
    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(5)
  })

  it('5. should render BrandComponent having powered variant', () => {
    const { getByTestId } = render(<BrandComponent variant="poweredBy" />)
    const svg = getByTestId('logo')
    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(17)
  })

  it('6. should render BrandComponent with dummy variant', () => {
    const { getByTestId } = render(<BrandComponent variant="dummy" />)
    const svg = getByTestId('logo')
    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(8)
  })
})
