import React, { FC } from "react";
import NSLogoHorizontal from "./icons/NSLogoHorizontal";
import NSLogoMark from "./icons/NSLogoMark";
import NSLogoPoweredBy from "./icons/NSLogoPoweredBy";
import NSLogoStacked from "./icons/NSLogoStacked";
import NSLogoWordMark from "./icons/NSWordMark";
import LogoContainer from "./BrandContanier.styled";
import { BrandComponentProps } from "./types";

export const BrandComponent: FC<BrandComponentProps> = (props) => {
    const { variant = "stacked", size = "108px" } = props;
    const renderIcon = () => {
        switch (variant) {
            case "stacked":
                return <NSLogoStacked color="primary" />;
            case "horizontal":
                return <NSLogoHorizontal color="primary" />;
            case "wordmark":
                return <NSLogoWordMark color="primary" />;
            case "logomark":
                return <NSLogoMark color="primary" />;
            case "poweredBy":
                return <NSLogoPoweredBy color="primary" />;
            default:
                return <NSLogoStacked color="primary" />;
        }
    };
    return <LogoContainer size={size}>{renderIcon()}</LogoContainer>;
};
