import React from 'react'
import { render } from '@testing-library/react'
import NSWordMark from './NSWordMark'
import NSLogoHorizontal from './NSLogoHorizontal'
import NSLogoPoweredBy from './NSLogoPoweredBy'
import NSLogoStacked from './NSLogoStacked'
import NSLogoMark from './NSLogoMark'
describe('verifying logos', () => {
  it('1. should render NSWordMark logo', () => {
    const { getByTestId } = render(<NSWordMark color="primary" />)

    const svg = getByTestId('logo')

    expect(svg).toHaveAttribute('viewBox', '0 0 98 20')
    expect(svg).toHaveAttribute('xmlns', 'http://www.w3.org/2000/svg')

    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(7)
    for (let i = 0; i < paths.length; i++) {
      const path = paths[i]
      expect(path).toHaveAttribute('fill', 'primary')
    }
  })
  it('2. should render NSLogoHorizontal ', () => {
    const { getByTestId } = render(<NSLogoHorizontal color="primary" />)

    const svg = getByTestId('logo')

    expect(svg).toHaveAttribute('viewBox', '0 0 135 30')
    expect(svg).toHaveAttribute('xmlns', 'http://www.w3.org/2000/svg')

    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(8)
    for (let i = 0; i < paths.length; i++) {
      const path = paths[i]
      expect(path).toHaveAttribute('fill', 'primary')
    }
  })
  it('3. should render NSLogoPoweredBy', () => {
    const { getByTestId } = render(<NSLogoPoweredBy color="primary" />)

    const svg = getByTestId('logo')

    expect(svg).toHaveAttribute('viewBox', '0 0 100 38')
    expect(svg).toHaveAttribute('xmlns', 'http://www.w3.org/2000/svg')

    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(17)
    for (let i = 0; i < paths.length; i++) {
      const path = paths[i]
      expect(path).toHaveAttribute('fill', 'primary')
    }
  })
  it('4. should render NSLogoStacked', () => {
    const { getByTestId } = render(<NSLogoStacked color="primary" />)

    const svg = getByTestId('logo')

    expect(svg).toHaveAttribute('viewBox', '0 0 155 108')
    expect(svg).toHaveAttribute('xmlns', 'http://www.w3.org/2000/svg')

    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(8)
    for (let i = 0; i < paths.length; i++) {
      const path = paths[i]
      expect(path).toHaveAttribute('fill', 'primary')
    }
  })
  it('5. should render the NSLogoMark', () => {
    const { getByTestId } = render(<NSLogoMark color="primary" />)

    const svg = getByTestId('logo')

    expect(svg).toHaveAttribute('viewBox', '0 0 51 52')
    expect(svg).toHaveAttribute('xmlns', 'http://www.w3.org/2000/svg')

    const paths = svg.querySelectorAll('path')
    expect(paths.length).toBe(5)
    for (let i = 0; i < paths.length; i++) {
      const path = paths[i]
      expect(path).toHaveAttribute('fill', 'primary')
    }
  })
})
