/**
 * @author [vijayaprathap Kumar] (vpkumar@nuskin.com)
 * Flag.spec.tsx
 * @description In this test case, we use the render function to render the MyComponent with the desired background color and text.
 */

import React from "react";
import nuskinTheme from "@nuskin/foundation-theme/src/themes/genome-foundation"

import { render } from "../../../test-utils/index";
import { NsFlag } from ".";

const {
    palette,
} = nuskinTheme;

// Test suite for FlagComponent
describe('FlagComponent', () => {
    // Test case for rendering a div element with background color and text.
    it('renders a div element with background color and text', () => {
        // Render FlagComponent with blue background color and "Nuskin" text
        const { getByText } = render(
            <NsFlag
                message="NU SKIN"
                color="accentColorA"
            />
        );

        // Get the rendered div element using its text
        const divElement = getByText('NU SKIN');

        // Assert that the div element is in the document
        expect(divElement).toBeInTheDocument();

        // Assert that the div element has the expected background color
        expect(divElement).toHaveStyle(`color: ${palette?.primary?.contrastText}`);

        // Assert that the div element has the expected text content
        expect(divElement).toHaveTextContent('NU SKIN');
    });
});