/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsLink.stories.tsx
 * @description NsLink component. 
 */

import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";

import { NsLink } from "./";

export default {
    title: "Components",
    component: NsLink,
    decorators: [
        (story) => (
            <div style={{ textAlign: "center", marginTop: "20px" }}>{story()}</div>
        ),
    ],
    argTypes: {
        children: {
            control: "text",
            name: "Children/Content",
            defaultValue: "Click Here",
        },
        isSsr: { control: "boolean" },
    },
    args: {
        ariaLabel: 'alt text',
        href: 'new-page',
        isSsr: false,
    },
} as ComponentMeta<typeof NsLink>;

export const Links: ComponentStory<typeof NsLink> = (args) => (
    <NsLink {...args} />
);

