/* eslint-disable @next/next/no-img-element */
import React, { PropsWithChildren } from "react";
import Typography from "../typography";
import { ProductCardContainer } from "./NsNavProductCard.styled";
import { NsNavProductCardProps } from "./types";

const NsNavProductCard = ({
  productImg,
  productDescription,
  productName,
  className = "",
}: PropsWithChildren<NsNavProductCardProps>) => {
  return (
    <ProductCardContainer className={className}>
      <img src={productImg} alt="product-img" />
      <div className="text-container">
        <Typography
          variant="h5"
          color="primary"
          className="mt-11 mb-3.5"
          weight="bold"
        >
          {productName}
        </Typography>
        <Typography variant="p-s" color="primary" weight="light">
          {productDescription}
        </Typography>
      </div>
    </ProductCardContainer>
  );
};

export default NsNavProductCard;
