import styled from "@emotion/styled";
import { PaletteColorNames } from "@nuskin/foundation-theme/src/themes/types";
import { motion } from "framer-motion";

export const NavTabContainer = styled.div`
  .shadow {
    box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.15);
  }
`;

export const NavTabLine = styled(motion.li)`
  margin: 0px 14px;
  align-items: center;
  white-space: normal;
  text-align: center;
  cursor: pointer;
  list-style: none;
  position: relative;
  min-width: 60px;
`;

export const NavTabUnderLine = styled(motion.div)<{ color?: PaletteColorNames }>`
  width: 100%;
  position: absolute;
  bottom: -2px;
  height: 2px;
  background-color: ${({ theme: { palette }, color = "primary" }) =>
    palette?.[color]?.main};
`;

export const NavDrawer = styled.div`
  position: absolute;
  left: 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  z-index: 600;
  width: 100%;
  max-height: 590px;
  
  background-color: #fff;
  box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.15);
  transition: all 0.15s ease-in-out;
  overflow: hidden;
`;

export const NavDrawerContainer= styled(motion.div)`
  ::before {
    content: "";
    position: absolute;
    top: -5px;
    width: 100%;
    height: 5px;
    box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.15);
    z-index: 1;
  }
  box-shadow: 0 2px 3px 0 rgba(0,0,0,.15);
  background-color: #fff;
  width: 100%;
  text-align: left;
  max-height: 590px;
  overflow: auto;
  .container {
    max-width: 1410px;
  }
`;
