import React from "react";
import InputBase from "@mui/material/InputBase";
import { styled } from "@nuskin/foundation-theme";

interface NsSearchBarProps {}

const Search = styled("div")`
    position: relative;
    borderRadius: 0;
    border: 1px solid;
    margin-left: 10px;
    display: flex;
    width: 100%;
)`;

const SearchIconWrapper = styled("div")(({ theme }) => ({
  height: "100%",
  position: "absolute",
  pointerEvents: "none",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
}));

const StyledInputBase = styled(InputBase)(({ theme }) => ({
  color: "inherit",
  "& .MuiInputBase-input": {
    padding: "1px 1px 1px 0",
    paddingLeft: `calc(1em + 10px)`,
    width: "100%",
  },
}));

const NsSearchBar: React.FC<NsSearchBarProps> = () => {
  return (
    <div>
      <Search>
        <SearchIconWrapper>
          <span>search</span>
        </SearchIconWrapper>
        <StyledInputBase
          placeholder="Search…"
          inputProps={{ "aria-label": "search" }}
        />
      </Search>
    </div>
  );
};

export default NsSearchBar;
