import React from "react";
import { ComponentStory, ComponentMeta } from "@storybook/react";
import { Typography as TypoComponent } from "./Typography";

export default {
    title: "Components/Typography",
    component: TypoComponent,
    decorators: [
        (story) => (
            <div style={{ textAlign: "center", marginTop: "20px" }}>{story()}</div>
        ),
    ],
    argTypes: {
        children: {
            control: "text",
            name: "Children/Text",
            defaultValue: "Typography",
        },

    },
    args: {
        children: "Typography",
        color: "primary",
    },
} as ComponentMeta<typeof TypoComponent>;

export const Typography: ComponentStory<typeof TypoComponent> = (args) => <TypoComponent {...args} />;
