import React from 'react'
import { render } from '@testing-library/react'
import Typography from './index'
import { GlobalFontInter } from './Typography.styled'

describe('GlobalFontInter', () => {
  it('should apply the Inter font to the body element', () => {
    render(<GlobalFontInter />)
    const fontStyle = window.getComputedStyle(document.body).fontFamily
    expect(fontStyle).toContain('Inter')
  })
  it('renders without crashing', () => {
    const text = 'Hello Typo!'
    const { getByText } = render(<Typography variant={'h1'}>{text}</Typography>)
    expect(getByText(text)).toBeInTheDocument()
  })

  it('renders without crashing with p-l variant', () => {
    const text = 'Hello Typo!'
    const { getByText } = render(<Typography variant="h4">{text}</Typography>)
    expect(getByText(text)).toBeInTheDocument()
  })
})
